#ifndef ARR_BINTREE_H
#define ARR_BINTREE_H

#include "pocofwd.h"
#include "element.h"
#include <stdio.h>

void BinTreeNode_destroy ( BinTreeNode * bt, ElementInterface *eif );
int BinTreeNode_count (BinTreeNode * node);
void *BinTreeNode_value (BinTreeNode * node);
BinTreeNode *BinTreeNode_min (BinTreeNode * node);
BinTreeNode *BinTreeNode_next (BinTreeNode * node);

BinTree *BinTree_construct (ElementInterface *eif);
const BinTreeNode *BinTree_insert ( BinTree * bt, const void *key );
BinTreeNode *BinTree_find ( const BinTree * bt, const void *key );
void BinTree_destroy (BinTree * bt);
BinTreeNode * BinTree_min(const BinTree * bt);

#endif
