#ifndef ARR_NVEC_H
#define ARR_NVEC_H

#include "pocofwd.h"
#include <stdio.h>

void     DblVec_append(DblVec * target, const DblVec * source);
void     DblVec_assign(DblVec * l, const DblVec * r);
double   DblVec_at(const DblVec * v, int ndx);
int      DblVec_capacity(const DblVec * v);
void     DblVec_clear(DblVec * v);
int      DblVec_comparepp(DblVec * const *l, DblVec * const *r);
int      DblVec_compare(const DblVec *l, const DblVec *r);
DblVec * DblVec_construct (int size);
DblVec * DblVec_copy(const DblVec * v);
void     DblVec_destroy(DblVec * v);
void     DblVec_increment(DblVec *v, int ndx);
int      DblVec_isSorted(DblVec *v);
int      DblVec_lookup(DblVec *v, double val);
double   DblVec_popBack(DblVec *v);
void     DblVec_print(const DblVec *v, FILE *fp);
int      DblVec_pushBack(DblVec * v, double value);
int      DblVec_reserve(DblVec * v, int n);
int      DblVec_resize(DblVec * v, int n);
void     DblVec_setValue(DblVec * v, int ndx, double value);
int      DblVec_size(const DblVec * v);
void     DblVec_sort(DblVec * v);
double   DblVec_sum(const DblVec *v);

#endif                       /* ARR_NVEC_H */
