#ifndef ARR_INTVEC_H
#define ARR_INTVEC_H

#include "pocofwd.h"
#include <stdio.h>

void     IntVec_append(IntVec * target, const IntVec * source);
void     IntVec_assign(IntVec * lhs, const IntVec * rhs );
int      IntVec_at(const IntVec * v, int ndx);
int      IntVec_capacity(const IntVec * v);
void     IntVec_clear(IntVec * v);
int      IntVec_comparepp(IntVec * const *lp, IntVec * const *rp);
int      IntVec_compare(const IntVec *l, const IntVec *r);
IntVec * IntVec_construct (int capacity);
IntVec * IntVec_copy(const IntVec * v);
void     IntVec_destroy(IntVec * v);
void     IntVec_increment(IntVec *v, int ndx, int inc);
int      IntVec_isSorted(IntVec *v);
int      IntVec_lookup(IntVec *v, int val);
int      IntVec_popBack(IntVec *v);
void     IntVec_print(const IntVec *v, FILE *fp);
int      IntVec_pushBack(IntVec * v, int value);
int      IntVec_reserve(IntVec * v, int n);
int      IntVec_resize(IntVec * v, int n);
void     IntVec_setValue(IntVec * v, int ndx, int value);
int      IntVec_size(const IntVec * v);
void     IntVec_sort(IntVec * v);
int      IntVec_sum(const IntVec *v);
#endif                       /* ARR_INTVEC_H */
